Subject: bug#35481: 25.2; table.el should use 'font-lock-face' instead of 'face'

From: Noam Postavsky <[email-masked]>
Date: Thu, 28 Nov 2019 18:27:28 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> The patch below does this, but I'm not sure it's right.  When we're
> using font-lock-face instead of face, then things work as normal when
> we're using global-font-lock-mode, but if that's off, then we won't get
> any faces at all.
>
> Which would be bad.

I missed this the first time around, but, why would that be bad?  If the
user turns off font-lock-mode then not getting faces should be expected,
no?